Exiv2::Internal::TiffMnCreator Class Reference

TIFF makernote factory for concrete TIFF makernotes. More...

`#include <makernote_int.hpp>`

## Static Public Member Functions

static TiffComponent * | create (uint16_t tag, IfdId group, const std::string &make, const byte *pData, uint32_t size, ByteOrder byteOrder)
| Create the Makernote for camera make and details from the makernote entry itself if needed. Return a pointer to the newly created TIFF component. Set tag and group of the new component to tag and group. This method is used when a makernote is parsed from the Exif block. More...
static TiffComponent * | create (uint16_t tag, IfdId group, IfdId mnGroup)
| Create the Makernote for a given group. This method is used when a makernote is written back from Exif tags.

## Protected Member Functions

| ~TiffMnCreator ()
| Prevent destruction (needed if used as a policy class)

## Detailed Description

TIFF makernote factory for concrete TIFF makernotes.

## Member Function Documentation

## create()

TiffComponent * Exiv2::Internal::TiffMnCreator::create | ( | uint16_t | tag,
|  | IfdId | group,
|  | const std::string & | make,
|  | const byte * | pData,
|  | uint32_t | size,
|  | ByteOrder | byteOrder
| ) |  |

static

Create the Makernote for camera make and details from the makernote entry itself if needed. Return a pointer to the newly created TIFF component. Set tag and group of the new component to tag and group. This method is used when a makernote is parsed from the Exif block.

Note
  Ownership for the component is transferred to the caller, who is responsible to delete the component. No smart pointer is used to indicate this transfer here in order to reduce file dependencies.

References Exiv2::find(), Exiv2::make(), Exiv2::Internal::TiffMnRegistry::mnGroup_, and Exiv2::Internal::TiffMnRegistry::newMnFct_.

Referenced by Exiv2::Internal::TiffMnEntry::doAddPath(), and Exiv2::Internal::TiffReader::visitMnEntry().

The documentation for this class was generated from the following files:

- makernote_int.hpp
- makernote_int.cpp